Current (2025-04-01)Merchants API
Data Subject
Authorization
apiKey x-api-key<token>
Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/public/2025-04-01/data-subject/removal" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{ "request_id": "req_abc123", "status": "acknowledged", "chargeflow_id": "66e6ea9ecd94925a9f8060d9", "created_at": "2025-04-01T12:00:00Z"}Authorization
apiKey x-api-key<token>
Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Path Parameters
requestId*string
The unique identifier of the removal request.
Query Parameters
account_id?string
The Chargeflow account ID. Required for platform API keys.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/public/2025-04-01/data-subject/removal/req_abc123"{ "request_id": "req_abc123", "status": "acknowledged", "chargeflow_id": "66e6ea9ecd94925a9f8060d9", "created_at": "2025-04-01T12:00:00Z"}Was this page helpful?